html_document_base {rmarkdown} | R Documentation

## Base output format for HTML-based output formats

### Description

Creates an HTML base output format suitable for passing as the `base_format` argument of the `output_format` function.

### Usage

    html_document_base(smart = TRUE, theme = NULL, self_contained = TRUE,
      lib_dir = NULL, mathjax = "default", pandoc_args = NULL,
      template = "default", dependency_resolver = NULL,
      copy_resources = FALSE, extra_dependencies = NULL,
      bootstrap_compatible = FALSE, ...)

### Arguments

`smart` | Produce typographically correct output, converting straight quotes to curly quotes, — to em-dashes, – to en-dashes, and ... to ellipses.
`theme` | Visual theme ("default", "cerulean", "journal", "flatly", "readable", "spacelab", "united", "cosmo", "lumen", "paper", "sandstone", "simplex", or "yeti"). Pass `NULL` for no theme (in this case you can use the `css` parameter to add your own styles).
`self_contained` | Produce a standalone HTML file with no external dependencies, using data: URIs to incorporate the contents of linked scripts, stylesheets, images, and videos. Note that even for self contained documents MathJax is still loaded externally (this is necessary because of it's size).
`lib_dir` | Directory to copy dependent HTML libraries (e.g. jquery, bootstrap, etc.) into. By default this will be the name of the document with `_files` appended to it.
`mathjax` | Include mathjax. The "default" option uses an https URL from the official MathJax CDN. The "local" option uses a local version of MathJax (which is copied into the output directory). You can pass an alternate URL or pass `NULL` to exclude MathJax entirely.
`pandoc_args` | Additional command line options to pass to pandoc
`template` | Pandoc template to use for rendering. Pass "default" to use the rmarkdown package default template; pass `NULL` to use pandoc's built-in template; pass a path to use a custom template that you've created. Note that if you don't use the "default" template then some features of `html_document` won't be available (see the Templates section below for more details).
`dependency_resolver` | A dependency resolver
`copy_resources` | Copy resources
`extra_dependencies` | Extra dependencies
`bootstrap_compatible` | Bootstrap compatible
`...` | Ignored

### Value

HTML base output format.

[Package rmarkdown version 0.9.6 Index]